Package ru.bitel.bgbilling.modules.mobile.common.bean

# Enum PushStatusType

java.lang.Object
java.lang.Enum<PushStatusType>
ru.bitel.bgbilling.modules.mobile.common.bean.PushStatusType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<PushStatusType>`, `java.lang.constant.Constable`

    public enum PushStatusType
    extends java.lang.Enum<PushStatusType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `NOT_DEFINED` |
  `NOT_SUCCESS_DEVICE_REJECTED` |
  `NOT_SUCCESS_HTTP_ERROR` |
  `NOT_SUCCESS_INTERNAL_ERROR` |
  `NOT_SUCCESS_NOT_VALID_PARAMS` |
  `NOT_SUCCESS_NOT_VALID_TOKEN` |
  `NOT_SUCCESS_TRY_LATER` |
  `SOME_SUCCESS` |
  `SUCCESS` |
  `TYPE_UNKNOWN` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static PushStatusType` | `getByCode​(int code)` | Получить значение по коду от сервера
  `int` | `getCode()` |
  `static boolean` | `statusIsReachable​(PushStatusType status)` |
  `java.lang.String` | `toString()` |
  `static PushStatusType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static PushStatusType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUCCESS

    public static final PushStatusType SUCCESS

  - ### SOME_SUCCESS

    public static final PushStatusType SOME_SUCCESS

  - ### NOT_SUCCESS_TRY_LATER

    public static final PushStatusType NOT_SUCCESS_TRY_LATER

  - ### NOT_SUCCESS_DEVICE_REJECTED

    public static final PushStatusType NOT_SUCCESS_DEVICE_REJECTED

  - ### NOT_SUCCESS_INTERNAL_ERROR

    public static final PushStatusType NOT_SUCCESS_INTERNAL_ERROR

  - ### NOT_SUCCESS_NOT_VALID_TOKEN

    public static final PushStatusType NOT_SUCCESS_NOT_VALID_TOKEN

  - ### NOT_SUCCESS_NOT_VALID_PARAMS

    public static final PushStatusType NOT_SUCCESS_NOT_VALID_PARAMS

  - ### NOT_DEFINED

    public static final PushStatusType NOT_DEFINED

  - ### NOT_SUCCESS_HTTP_ERROR

    public static final PushStatusType NOT_SUCCESS_HTTP_ERROR

  - ### TYPE_UNKNOWN

    public static final PushStatusType TYPE_UNKNOWN

- ## Method Details

  - ### values

    public static PushStatusType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PushStatusType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Enum<PushStatusType>`

  - ### getByCode

    public static PushStatusType getByCode​(int code)
    Получить значение по коду от сервера

  - ### statusIsReachable

    public static boolean statusIsReachable​(PushStatusType status)
    Returns:
      true если статус позволяет отправку уведомлений